{"swagger":"2.0","info":{"description":"The base URL is 'https://abc.1gu.xyz' or 'https://api.1gu.xyz', whichever is easier to remember.","version":"1.0.0","title":"1GU API"},"tags":[{"name":"Address Validation"},{"name":"Stock Management","description":"Getting stock levels for items and creating dynamic menus for incentives/rewards"},{"name":"Data Storage"}],"paths":{"/addresslookup":{"get":{"tags":["Address Validation"],"operationId":"Address","description":"By passing in an address, street or otherwise, it'll\\:\n1. -Check to see if the string looks like an address\n2. -Tell you if the input was valid\n3. -Look up that address\n4. -Tell you if there was an exact match\n5. -Break down the components of the address\n6. -Find a second potential match.\n","produces":["application/json"],"parameters":[{"in":"header","name":"key","description":"Special key provided by the developer.","required":true,"type":"string"},{"in":"header","name":"address","description":"A string representing an address.","required":true,"type":"string"}],"responses":{"200":{"description":"Object containing information about what this API looked up","schema":{"$ref":"#/definitions/AddressResponse"}}}}},"/postcode":{"get":{"tags":["Address Validation"],"description":"Put in a postcode and it'll spit out the city/town, state, postcode and country","summary":"Postcode lookup","produces":["application/json"],"parameters":[{"in":"header","name":"key","description":"Special key provided by the developer.","required":true,"type":"string"},{"in":"header","name":"postcode","description":"US or UK postcode.","required":true,"type":"string"}],"responses":{"200":{"description":"Object containing information about what this API looked up","schema":{"$ref":"#/definitions/PostcodeResponse"}}}}},"/pobox":{"get":{"tags":["Address Validation"],"description":"Put in a PO Box and it'll tell you if its in the format of a PO Box","summary":"PO Box Validation","produces":["application/json"],"parameters":[{"in":"header","name":"key","description":"Special key provided by the developer.","required":true,"type":"string"},{"in":"header","name":"pobox","description":"A string representing a PO Box.","required":true,"type":"string"}],"responses":{"200":{"description":"Object containing information about what this API looked up","schema":{"$ref":"#/definitions/PoBoxResponse"}}}}},"/events/active":{"get":{"tags":["Event Configuration"],"description":"Put in the org's acronym and the payload from the link the user clicked on and this will return the event configuration associated with the payload.","produces":["application/json"],"parameters":[{"in":"header","name":"ngo","description":"The acronym associated with the org.","required":true,"type":"string"},{"in":"header","name":"payload","description":"The payload in the link the user clicked on.","required":true,"type":"string"},{"in":"header","name":"key","description":"Special key provided by the developer.","required":true,"type":"string"}],"responses":{"200":{"description":"Object containing information about what this API looked up","schema":{"$ref":"#/definitions/EventConfiguration"}}}}},"/events/future":{"get":{"tags":["Event Configuration"],"description":"Put in the org's acronym and the payload from the link the user clicked on and this will return the event configuration associated with the payload.","produces":["application/json"],"parameters":[{"in":"header","name":"ngo","description":"The acronym associated with the org.","required":true,"type":"string"},{"in":"header","name":"payload","description":"The payload in the link the user clicked on.","required":true,"type":"string"},{"in":"header","name":"key","description":"Special key provided by the developer.","required":true,"type":"string"}],"responses":{"200":{"description":"Object containing information about what this API looked up","schema":{"$ref":"#/definitions/EventConfiguration"}}}}},"/export/airtable":{"post":{"tags":["Data Storage"],"summary":"Export data to airtable","description":"To get the base ID\\:\n  1. Go to your base\n  2. press the 'help' button at the top-right\n  3. all the way at the bottom you should see 'API Documentation'\n  4. In the introduction, you should see a sentence like 'The ID of this base is appADSFfsSGDefsef.'\n","produces":["application/json"],"parameters":[{"in":"header","name":"key","description":"Special key provided by the developer.","required":true,"type":"string"},{"in":"header","name":"airtable_base_id","type":"string","required":true,"description":"The ID of the base located in the 'API Documentation' that can be access through the help menu located in each base."},{"in":"header","name":"airtable_table_name","type":"string","required":true,"description":"The name of the base. Located at the top of the page when inside of the base."}]}},"/export/wufoo":{"post":{"tags":["Data Storage"],"description":"To get Wufoo Credentials\\:\n  1. Go to https://app.wufoo.com/forms\n  2. press the 'more options' or '...' button on the right of your form\n  3. select 'API Information' to get wufoo credentials.\n","summary":"Export data to wufoo","produces":["application/json"],"parameters":[{"in":"header","name":"key","description":"Special key provided by the developer.","required":true,"type":"string"},{"in":"header","name":"subdomain","description":"After logging in to your wufoo, look at the URL. Its \"fishbowl\" in https://fishbowl.wufoo.com/","required":true,"type":"string"},{"in":"header","name":"api_key","description":"Its the api key when you select 'API Information' for your form.","required":true,"type":"string"},{"in":"header","name":"form_id","description":"Its next to the word \"Hash\" at the bottom of table when you select 'API Information' for your form.","required":true,"type":"string"},{"in":"body","name":"data","description":"Use the \"API ID\" in the table that you see when you select 'API Information' for your form.","required":false,"example":{"Field1":"eran","Field2":"boodnero","Field3":"eran@goodunited.io","Field4":"12345 Main st.","Field5":"Tinkertown","Field6":"Alabama","Field7":94567,"Field8":"USA"}}],"responses":{"200":{"description":"Object containing information about what this API looked up","schema":{"$ref":"#/definitions/WufooResponse"}}}}}},"definitions":{"AddressResponse":{"type":"object","properties":{"valid":{"type":"string","example":"yes","description":"Was the input in the format of an address?"},"exact":{"type":"string","example":"yes","description":"Did we find an exact match?"},"full_address":{"type":"string","example":"123 Main Rd #4, Tinker Town, Oregon 12345, USA","description":"The full, formatted, address."},"address_option_2":{"type":"string","example":"123A Main Rd, Tinker Town, Oregon 12345, USA","description":"A formatted address for a potential second match"},"street_address":{"type":"string","example":"123 Main Rd #4","description":"The building number, street name and optional unit number/letter"},"street_address_2":{"type":"string","example":"Shady Oak Apartments","description":"Additional info regarding address"},"city":{"type":"string","example":"Tinkertown","description":"The name of the town or city"},"state":{"type":"string","example":"Oregon","description":"The name of the state"},"postcode":{"type":"string","example":"91234","description":"The postcode or zipcode"},"country":{"type":"string","example":"USA","description":"The name of the country"}}},"PostcodeResponse":{"type":"object","properties":{"valid":{"type":"string","example":"yes","description":"Was the input in the format of an postcode?"},"postcode":{"type":"string","example":"12345","description":"The formatted postcode"},"city":{"type":"string","example":"Tinkletown","description":"The name of the city/town associated with the postcode"},"state":{"type":"string","example":"California","description":"The state that the postcode is associated with"},"country":{"type":"string","example":"USA","description":"The country that the postcode is associated with"}}},"EventConfigurationResponse":{"type":"object","properties":{"Event Name":{"type":"string","example":"Cancer Research 40 Mile Walk","description":"The name of the event"},"Location":{"type":"string","example":"National","description":"The location of the event"},"Live Date":{"type":"string","example":"2021-03-09","description":"The date ads went live"},"Start Date":{"type":"string","example":"2021-04-01","description":"The date that the event starts for the user"},"Group URL":{"type":"string","example":"https://www.facebook.com/groups/434492087829045","description":"The url for the facebook group associated with the event"},"Challenge Type":{"type":"string","example":"Walk","description":"What type of event is it? What action will the user be engaging in"},"Activity Goal":{"type":"integer","example":40,"description":"The number of units the user will be asked to complete per unit of time"},"50% Filter":{"type":"string","example":"https://www.facebook.com/fbcameraeffects/tryit/1849052995243472/","description":"The url for the filter we give to the user once the participant is 50% of the way through the event goal"},"100% Filter":{"type":"string","example":"https://www.facebook.com/fbcameraeffects/tryit/862916981200648/","description":"The url for the filter we give to the participant once they've completed the event goal"},"Org Mission":{"type":"string","example":"The American Cancer Society's mission is to save lives, celebrate lives, and lead the fight for a world without cancer.","description":"A short blurb about the orgs mission."},"Reward Type":{"type":"string","example":"t-shirt","description":"What time of reward will the participant receive if they hit their goal"},"Nonprofit":{"type":"string","example":"American Cancer Society","description":"The full name of the organization"},"Reward Threshold":{"type":"integer","example":300,"description":"The amount of money the participant needs to raise in order to get a reward."},"Has Incentive":{"type":"string","example":"No","description":"Does this event offer an incentive for joining the event?"},"Has Reward":{"type":"string","example":"Yes","description":"Does this event offer a reward to a participant for hitting the event goal?"},"Header URL":{"type":"string","example":"https://i.imgur.com/W5RTY9M.jpg","description":"The url of the header image thats used for the event"},"Challenge Emoji":{"type":"string","example":"\uD83D\uDEB6","description":"The emoji that reflects the theme of the event"},"Gif 1 URL":{"type":"string","example":"https://media.giphy.com/media/vgzz9EH8wTepD2ipRR/giphy.gif","description":"The first gif associated with the event"},"Gif 2 URL":{"type":"string","example":"https://media.giphy.com/media/madDsd98Bt7X6fwAJ7/giphy.gif","description":"The first gif associated with the event"},"Gif 3 URL":{"type":"string","example":"https://media.giphy.com/media/R1WSlTDjU71wk/giphy.gif","description":"The first gif associated with the event"},"Gif 4 URL":{"type":"string","example":"https://media.giphy.com/media/k1ZeXEDVg8kCs/giphy.gif","description":"The first gif associated with the event"},"Individual Fundraiser Goal":{"type":"integer","example":200,"description":"The amount of money that the user should aim to raise"},"ID":{"type":"string","example":"ACS-40W-NAT-APR21","description":"The unique identifier for the event"},"Facebook Alias":{"type":"string","example":"AmericanCancerSociety","description":"The facebook alias of the organization. Found by going to their facebook page and looking at the URL"},"End Date":{"type":"string","example":"2021-05-07","description":"The date that the event ends for the participants"},"Stop Date":{"type":"string","example":"2021-05-14","description":"The date that the event ends for GoodUnited and reporting halts"},"Activity Unit":{"type":"string","example":"mile","description":"The unit used to measure participant progress"},"Activity Total":{"type":"integer","example":40,"description":"The total number of units the user is expected to complete by the end of the event."},"Event Month":{"type":"string","example":"April","description":"The month the event take place in"},"NGO Acronym":{"type":"string","example":"ACS","description":"The acronym associated with the organization found in the Master Configuration"},"Opt-in URL":{"type":"string","example":"https://m.me/AmericanCancerSociety?ref=sconnect--NAT40","description":"The URL that the user clicks to join the event in messenger."},"Campaign ID":{"type":"string","example":"ACS-40W-APR21","description":"The unique ID for the campaign this event falls under"},"Payload":{"type":"string","example":"NAT40","description":"The payload associated with the event"},"Campaign Name":{"type":"string","example":"ACS 40 Mile Walk April 2021","description":"The name of the campaign"},"Series Name":{"type":"string","example":"40 Mile Walk","description":"The name of the series"},"Series ID":{"type":"string","example":"40W","description":"The ID of the series"},"Fundraisers Alias":{"type":"string","example":"AmericanCancerSociety","description":"The facebook alias to the orgs alternate facebook page, if it exists. Probably not relevant to you!"},"fbc_challenge_act":{"type":"string","example":"walking","description":"The present tense version of the verb that describes the action participants engage in for the event."},"fbc_reward_emoji":{"type":"string","example":"\uD83D\uDC55","description":"The emoji thats associated with the reward"},"fbc_incentive_emoji":{"type":"string","example":"\uD83D\uDC55","description":"The emoji thats associated with the incentive"},"fbc_up_challenge_type":{"type":"string","example":"Walk","description":"A word that describes the type of challenge the user will be engaging in"},"fbc_up_activity_unit":{"type":"string","example":"Mile","description":"Capitalized version of the unit of measurement"},"fbc_up_activity_units":{"type":"string","example":"Miles","description":"Capitalized and plural version of the unit of measurement"},"fbc_activity_units":{"type":"string","example":"miles","description":"plural version of the unit of measurement"},"fbc_up_challenge_act":{"type":"string","example":"Walking","description":"The capitalized, present tense version of the verb that describes the action participants engage in for the event."},"100% GIF URL":{"type":"string","example":"https://www.imgur.com/123fq3215","description":"URL to the gif associated with the completion of the event"},"Order Image":{"type":"string","example":"https://www.imgur.com/123fq3215","description":"The URL to an image displaying the type of order, like a shirt or something."},"Incentive Type":{"type":"string","example":"t-shirt","description":"The type of incentive the user will get if they participate in the event"},"Destination Code":{"type":"string","example":"X100","description":"UK ONLY. The destination code for the location of the event."},"Gif 5 URL":{"type":"string","example":"https://media.giphy.com/media/R1WSlTDjU71wk/giphy.gif","description":"The fifth gif associated with the event"}}},"WufooResponse":{"type":"object","properties":{"Success":{"type":"boolean","example":true,"description":"Did the form successfully get submitted?"},"EntryLink":{"type":"string","example":"https://mgilroy4.wufoo.com/api/v3/forms/qo8iq120kqhskw/entries.json?Filter1=EntryId+Is_equal_to+8728&pretty=true","description":"The link to the entry in wufoo"},"EntryId":{"type":"integer","example":8729,"description":"The ID for the entry in wufoo"}}},"PoBoxResponse":{"type":"object","properties":{"valid":{"type":"string","example":"no","description":"Was the input in the form of a PO Box?"}}}},"basePath":"/GUSkunkworks/1gu/1.0.0","host":"virtserver.swaggerhub.com","schemes":["https"]}